=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.2),
               debhelper-compat (= 13),
               extra-cmake-modules,
               gettext,
               libboost-dev,
               libkf5akonadicalendar-dev (>= 4:21.12.3~),
               libkf5akonadicontact-dev (>= 4:21.12.3~),
               libkf5i18n-dev,
               libkf5kontactinterface-dev (>= 21.12.3~),
               libkf5runner-dev,
               libkf5windowsystem-dev,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://zanshin.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin

Package: zanshin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".
