## zanshin 22.04.0

=== debian/changelog ===
zanshin (22.04.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Keep Kubuntu Vcs and maintainer.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 May 2022 15:14:08 +0100

zanshin (22.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.04.0).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 May 2022 21:59:43 +0200

zanshin (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:58:37 +0100

zanshin (21.12.3-1) unstable; urgency=medium

  * Update watch file now that Zanshin is part of KDE Gear.
  * Refresh upstream signing keys.
  * New upstream release (21.12.3).
  * Added myself to the uploaders.
  * Drop patch fix-compilation-with-apps2008-upstream-4850c089.patch applied
    upstream.
  * Change maintainer to Debian Qt/KDE Maintainers now that Zanshin is part of
    KDE Gear / PIM.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 25 Mar 2022 22:43:08 +0100
