=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>, Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.2),
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
+           Pino Toscano <pino@debian.org>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules,
+               extra-cmake-modules (>= 5.87.0~),
                gettext,
                libboost-dev,
-               libkf5akonadicalendar-dev (>= 4:21.12.3~),
-               libkf5akonadicontact-dev (>= 4:21.12.3~),
+               libkf5akonadicalendar-dev (>= 4:22.04.0~),
+               libkf5akonadicontact-dev (>= 4:22.04.0~),
                libkf5i18n-dev,
-               libkf5kontactinterface-dev (>= 21.12.3~),
+               libkf5kontactinterface-dev (>= 22.04.0~),
                libkf5runner-dev,
                libkf5windowsystem-dev,
                pkg-kde-tools (>= 0.15.16),
