=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                extra-cmake-modules (>= 5.87.0~),
                gettext,
                libboost-dev,
-               libkf5akonadicalendar-dev (>= 4:22.04.0~),
-               libkf5akonadicontact-dev (>= 4:22.04.0~),
+               libkf5akonadicalendar-dev (>= 4:22.04.1~),
+               libkf5akonadicontact-dev (>= 4:22.04.1~),
                libkf5i18n-dev,
-               libkf5kontactinterface-dev (>= 22.04.0~),
+               libkf5kontactinterface-dev (>= 22.04.1~),
                libkf5runner-dev,
                libkf5windowsystem-dev,
                pkg-kde-tools (>= 0.15.16),
