## zanshin 22.04.2

=== debian/changelog ===
zanshin (22.04.2-1ubuntu1) kinetic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump build deps to current PIM versions.
    - Update unstream signing key.

 -- Rik Mills <rikmills@kde.org>  Thu, 30 Jun 2022 11:37:44 +0100

zanshin (22.04.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Re-export upstream signing key without extra signatures.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Jun 2022 07:06:18 +0200

zanshin (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:12:09 +0100
