## zanshin 22.04.3

=== debian/changelog ===
zanshin (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:37:25 +0100
