=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                extra-cmake-modules (>= 5.87.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:22.04.2~),
-               libkf5akonadicalendar-dev (>= 4:22.04.2~),
-               libkf5akonadicontact-dev (>= 4:22.04.2~),
+               libkf5akonadi-dev (>= 4:22.04.3~),
+               libkf5akonadicalendar-dev (>= 4:22.04.3~),
+               libkf5akonadicontact-dev (>= 4:22.04.3~),
                libkf5i18n-dev (>= 5.87.0~),
-               libkf5kontactinterface-dev (>= 22.04.2~),
+               libkf5kontactinterface-dev (>= 22.04.3~),
                libkf5runner-dev (>= 5.87.0~),
                libkf5windowsystem-dev (>= 5.87.0~),
                qtbase5-dev,
