## zanshin 22.08.0

=== debian/changelog ===
zanshin (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:59:07 +0100
