## zanshin 22.08.1

=== debian/changelog ===
zanshin (22.08.1-1ubuntu1) kinetic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump build deps to current PIM versions.
    - Update unstream signing key.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Sep 2022 07:39:53 +0100

zanshin (22.08.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (Closes: #1019712).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 14 Sep 2022 00:38:23 +0200

zanshin (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:50:02 +0100
