=== debian/control ===
--- 
+++ 
@@ -8,17 +8,16 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.87.0~),
+               extra-cmake-modules (>= 5.95.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:22.08.0~),
-               libkf5akonadicalendar-dev (>= 4:22.08.0~),
-               libkf5akonadicontact-dev (>= 4:22.08.0~),
-               libkf5i18n-dev (>= 5.87.0~),
-               libkf5kontactinterface-dev (>= 22.08.0~),
-               libkf5runner-dev (>= 5.87.0~),
-               libkf5windowsystem-dev (>= 5.87.0~),
-               qtbase5-dev,
+               libkf5akonadi-dev (>= 4:22.08.1~),
+               libkf5akonadicalendar-dev (>= 4:22.08.1~),
+               libkf5i18n-dev (>= 5.95.0~),
+               libkf5kontactinterface-dev (>= 22.08.1~),
+               libkf5runner-dev (>= 5.95.0~),
+               libkf5windowsystem-dev (>= 5.95.0~),
+               qtbase5-dev (>= 5.15.2~),
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Homepage: https://zanshin.kde.org/
