=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                extra-cmake-modules (>= 5.95.0~),
                gettext,
                libboost-dev,
-               libkf5akonadi-dev (>= 4:22.08.3~),
-               libkf5akonadicalendar-dev (>= 4:22.08.3~),
+               libkf5akonadi-dev (>= 4:22.12.0~),
+               libkf5akonadicalendar-dev (>= 4:22.12.0~),
                libkf5i18n-dev (>= 5.95.0~),
-               libkf5kontactinterface-dev (>= 22.08.3~),
+               libkf5kontactinterface-dev (>= 22.12.0~),
                libkf5runner-dev (>= 5.95.0~),
                libkf5windowsystem-dev (>= 5.95.0~),
                qtbase5-dev (>= 5.15.2~),
