## zanshin 22.12.1

=== debian/changelog ===
zanshin (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:28:11 +0000
