## zanshin 22.12.2

=== debian/changelog ===
zanshin (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:32:18 -0600
