## zanshin 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MAJOR "22")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(zanshin VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF5_MIN_VERSION "5.87.0")
+set(KF5_MIN_VERSION "5.95.0")
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 set(KDE_COMPILERSETTINGS_LEVEL "5.84")
@@ -23,15 +23,9 @@
 include(ECMSetupVersion)
 
 set(REQUIRED_QT_VERSION "5.15.2")
-find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui Widgets Test)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui Widgets Test)
 find_package(Boost REQUIRED)
 find_package(Threads REQUIRED)
-macro(assert_min_ver version)
-    set(error_msg "${CMAKE_CXX_COMPILER} ${CMAKE_CXX_COMPILER_VERSION} not supported")
-    if("${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "${version}")
-        message(FATAL_ERROR "${msg}")
-    endif()
-endmacro()
 
 if(APPLE)
     if((NOT "${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "6.0.0.0") AND
@@ -44,7 +38,7 @@
 endif()
 
 if(UNIX)
-    set(CMAKE_CXX_STANDARD 14)
+    set(CMAKE_CXX_STANDARD 17)
     set(CMAKE_CXX_EXTENSIONS OFF) # Don't enable gcc-specific extensions
 endif()
 
@@ -84,7 +78,7 @@
     WindowSystem
     I18n
 )
-find_package(KF5 "5.18.40" REQUIRED COMPONENTS
+find_package(KF5 "5.20.40" REQUIRED COMPONENTS
     Akonadi
     AkonadiCalendar
     KontactInterface
