=== src/presentation/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
-set(presentation_SRCS
+add_library(presentation STATIC)
+
+target_sources(presentation PRIVATE
     applicationmodel.cpp
     editormodel.cpp
     availablepagesmodel.cpp
@@ -17,7 +19,27 @@
     runningtaskmodel.cpp
     taskfilterproxymodel.cpp
     workdaypagemodel.cpp
+
+    applicationmodel.h
+    editormodel.h
+    availablepagesmodel.h
+    availablepagessortfilterproxymodel.h
+    availablesourcesmodel.h
+    contextpagemodel.h
+    errorhandler.h
+    errorhandlingmodelbase.h
+    inboxpagemodel.h
+    metatypes.h
+    pagemodel.h
+    projectpagemodel.h
+    alltaskspagemodel.h
+    querytreemodelbase.h
+    runningtaskmodelinterface.h
+    runningtaskmodel.h
+    taskfilterproxymodel.h
+    workdaypagemodel.h
 )
 
-add_library(presentation STATIC ${presentation_SRCS})
-target_link_libraries(presentation Qt5::Core Qt5::Gui KF5::I18n domain utils)
+set_property(TARGET presentation PROPERTY POSITION_INDEPENDENT_CODE ON)
+
+target_link_libraries(presentation Qt::Core Qt::Gui KF5::I18n domain utils)
