=== tests/testlib/CMakeLists.txt ===
--- 
+++ 
@@ -10,18 +10,19 @@
    fakejob.cpp
    gencollection.cpp
    gentodo.cpp
-   modeltest.cpp
    monitorspy.cpp
    testhelpers.cpp
 )
 
 include_directories(${CMAKE_SOURCE_DIR}/tests ${CMAKE_SOURCE_DIR}/src)
 add_library(testlib STATIC ${testlib_SRCS})
+set_property(TARGET testlib PROPERTY POSITION_INDEPENDENT_CODE ON)
+
 target_link_libraries(testlib
     KF5::AkonadiCore
     KF5::AkonadiXml
     KF5::CalendarCore
-    Qt5::DBus
-    Qt5::Test
+    Qt::DBus
+    Qt::Test
 )
