=== tests/features/editing/CMakeLists.txt ===
zanshin_feature_tests(
    addingtaskfeature
    completingtaskfeature
    editingtaskfeature
    removingtaskfeature
)
