=== debian/changelog ===
zanshin (22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:32:49 +0100

zanshin (22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Bump Standards-Version to 4.6.2 (No changes needed).
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:27:16 +0100
