## zanshin 23.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(zanshin VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF5_MIN_VERSION "5.95.0")
+set(KF5_MIN_VERSION "5.101.0")
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 set(KDE_COMPILERSETTINGS_LEVEL "5.84")
@@ -69,8 +69,6 @@
     ${CMAKE_SOURCE_DIR}
     ${CMAKE_BINARY_DIR}
     ${Boost_INCLUDE_DIR}
-    3rdparty/kdepim/
-    3rdparty/kdepim/libkdepim/
 )
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
@@ -78,13 +76,12 @@
     WindowSystem
     I18n
 )
-find_package(KF5 "5.20.40" REQUIRED COMPONENTS
+find_package(KF5 "5.22.40" REQUIRED COMPONENTS
     Akonadi
     AkonadiCalendar
     KontactInterface
 )
 
-add_subdirectory(3rdparty)
 add_subdirectory(src)
 ki18n_install(po)
