## zanshin 23.07.90

=== debian/changelog ===
zanshin (23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Add libkf5identitymanagement-dev to Build-Depends

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:43:02 +0100
