## zanshin 23.08.2

=== debian/changelog ===
zanshin (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:41:53 +0100
