## zanshin 23.08.3

=== debian/changelog ===
zanshin (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:45:25 +0000
