=== src/zanshin/app/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 add_executable(zanshin ${app_SRCS})
 kde_enable_exceptions()
 target_link_libraries(zanshin
-    KF5::XmlGui
+    KF${QT_MAJOR_VERSION}::XmlGui
     integration
     widgets
 )
